PHP Manual
Prev |  | Next

# mysqli_stmt_send_long_data

(PHP 5)

mysqli_stmt_send_long_data

(no version information, might be only in CVS)

stmt->send_long_data() -- Send data in blocks

## Description

Procedural style:

bool mysqli_stmt_send_long_data ( mysqli_stmt stmt, int param_nr, string data )

Object oriented style (method)

class mysqli_stmt {
bool send_long_data ( int param_nr, string data )
}

Allows to send parameter data to the server in pieces (or chunks), e.g. if the size of a blob exceeds the size of `max_allowed_packet`. This function can be called multiple times to send the parts of a character or binary data value for a column, which must be one of the TEXT or BLOB datatypes.

## Parameters

`stmt`

  Procedural style only: A statement identifier returned by mysqli_stmt_init().

`param_nr`

  Indicates which parameter to associate the data with. Parameters are numbered beginning with 0.

`data`

  A string containing data to be sent.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Examples

Example 1. Object oriented style

`<?php $stmt = $mysqli->prepare("INSERT INTO messages (message) VALUES (?)"); $null = NULL; $stmt->bind_param("b", $null); $fp = fopen("messages.txt", "r"); while (!feof($fp)) { $stmt->send_long_data(0, fread($fp, 8192)); } fclose($fp); $stmt->execute(); ?>`

## See Also

mysqli_prepare()
mysqli_stmt_bind_param()

Prev | Home | Next
mysqli_stmt_result_metadata | Up | mysqli_stmt_sqlstate